@import "variables";
@import "mixins";



html {
  font-size: 16px;
  font-family: 'Roboto', sans-serif;
}
body {
  background-color: $bg-grey;
}
h1,h2,h3,h5,h6 {
  font-family: 'Montserrat', sans-serif;
}
a{
  font-family: 'Montserrat', sans-serif;
}
.main-btn {
  background-color: $main-red;
  color: $white;
  min-height: 45px;
  text-align: center;
  padding: 11px;
  transition: all .3s ease-in-out;
  border: 1px solid $main-red;
  font-weight: bold;
  border-radius: 4px;
  font-family: 'Montserrat', sans-serif;
  &:hover {
    background-color: $white;
    color: $main-red;
  }
  &.btn-white {
    background-color: $white;
    color: $main-black;
    border-color: $white;
    &:hover {
      border-color: $main-red;
      color: $main-red;
    }
  }

}

.main-input{
  padding: 1rem 0.6rem;
  height: 45px;
  border-radius: 4px;
  font-size: 0.875rem;
  color: $main-black;
  font-weight: bold;
}

.section-container{
  margin-top: 60px;
  .section-title{
    color: $main-black;
    font-size: 2rem;
    line-height: 1.2;
    margin-bottom: 60px;
    text-align: center;
    text-transform: uppercase;
    font-weight: 700;
  }
}

@import "header";
@import "banner";

.main-cards {
  display: flex;
  flex-wrap: wrap;
  //margin: 0 -33px -15px -33px;
  justify-content: space-between;
  .card__item{
    width: 264px;
    height: 264px;
    //margin: 0 15px 30px;
    margin-bottom: 15px;
    background-color: $white;
    padding: 1.875rem;
    position: relative;
    .icon{
      width: 50px;
      height: 50px;
      margin-bottom: 2.55rem;
      img{
        max-width: 100%;
        max-height: 100%;
      }
    }
    .title{
      font-size: 0.875rem;
      font-family: 'Roboto', sans-serif;
      margin-bottom: 1rem;
      line-height: 2.1;
    }
    .text{
      font-size: 0.875rem;
      line-height: 1.4;
    }
    &::after {
      display: block;
      position: absolute;
      content: '';
      left: 0;
      top: 110px;
      width: 150px;
      height: 2px;
      background: $main-red;
    }
    &.dark-card{
      background-color: $bg-dark;
      .title,.text{
        color: $white;
      }
      &.hasArrow{
        &::after{
          background: url("../images/icons/arrow-long-white.svg");

        }

      }
    }
    &.red-card{
      background-color: $main-red;
      .title,.text{
        color: $white;
      }
      &::after {
        background-color: $white;
      }
    }
    &.hasArrow{
      &::after{
        height: 15px;
        width: 167px;
        top: 103px;
        background-size: contain;
        background: url("../images/icons/arrow-long-grey.svg") no-repeat;
      }
    }

  }
}

.service-card-link{
  width: 100%;
  height: 225px;
  position: relative;
  display: block;
  margin-bottom: 30px;
  img{
    width: 100%;
    height: 100%;
  }
  .overflow{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    opacity: 0;
    background: $main-red;
    padding: 30px;
    display: flex;
    align-items: center;
    z-index: 2;
    h5{
      color: $white;
      font-weight: 700;
      font-size: 1.25rem;
      line-height: 1.3;
      text-transform: uppercase;
      &::after{
        display: block;
        position: absolute;
        left: 0;
        top: 74px;
        width: 150px;
        height: 2px;
        background: $white;
        content: '';
      }
    }
    @include trans;
  }
  &:hover{
    .overflow{
      opacity: 0.85;
    }
  }
}
